QGIS Application - Bug report #19548
"Trying to send out an invalid response
2018-08-05 09:52 PM - Art Botterell

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.11 Regression?: No
Operating System: Mint Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 27375
Description

QGIS Server 2.14.11 on Mint. GetCapabilies seems to work OK, but when | try GetMap | get an HTTP 500... apache error.log says " End
of script output before headers: qgis_mapserv.fcgi"... and qgis.log says "Trying to send out an invalid response” Any thoughts how to
pursue debugging this? Thanks!

History

#1 - 2018-08-05 10:18 PM - Giovanni Manghi
- Status changed from Open to Feedback

QGIS 2.14 (Desktop and Server) is not developed/fixed/supported anymore, you really need to test 2.18 (if you want to stay on the LTR release).

#2 - 2018-08-06 12:36 AM - Art Botterell

OK, 2.8.6 now. The "Trying to send..." message is gone now, but the apache "End of script output before headers" error is still there. Also, in
apache/error.log I'm getting a bunch of errors like "Error in fread() reading object of size 232 at offset 238460 from .shp file"... which seems like a clue, but
| don't understand it.

Here's my query:

http://localhost/cgi-bin/qgis _mapserv.fcgi?SERVICE=WMS&#38;VERSION=1.3.0&#38;STYLES=default&#38;MAP=/usr/lib/cgi-bin/coastlines.qgs&#38;
AYERS=world_polygons&#38;REQUEST=GetMap&#38;SRS=EPSG:4326&#38;FORMAT=image/png

Thanks!

#3 - 2018-08-06 12:39 AM - Art Botterell

Make that 2.18.6.

#4 - 2018-08-06 12:42 AM - Giovanni Manghi

Art Botterell wrote:

Make that 2.18.6.
you must test the latest 2.18 release, now is 2.18.22

#5 - 2018-08-06 12:48 AM - Art Botterell

OK, so even the QGIS repos are out of sync. I'll attempt a build from source.

#6 - 2018-08-06 12:37 PM - Giovanni Manghi

Art Botterell wrote:

OK, so even the QGIS repos are out of sync.

you sure? | have machines with mint based on both ubuntu 16.04 and 18.04 and installation from repos are just ok.

#7 - 2018-08-06 11:54 PM - Art Botterell
I'm not sure of anything just now. What I'm ultimately trying to do is get a qgis-server instance running on a Raspi. As a starting point | was trying to get it
working on my Mint desktop. | did a source-build but that didn't seem to create qgis_mapserv.fcgi. Installing from the ubuntu repo got me the 2.18.6

version. So I'm flummoxed. Could you please point me toward the appropriate repo?

Thanks!

#8 - 2018-08-07 12:07 AM - Giovanni Manghi

Art Botterell wrote:
I'm not sure of anything just now. What I'm ultimately trying to do is get a qgis-server instance running on a Raspi. As a starting point | was trying to
get it working on my Mint desktop. | did a source-build but that didn't seem to create qgis_mapserv.fcgi. Installing from the ubuntu repo got me the

2.18.6 version. So I'm flummoxed. Could you please point me toward the appropriate repo?

Thanks!

https://qgis.org/en/site/forusers/alldownloads.html#debian-ubuntu

#9 - 2018-08-07 01:24 AM - Art Botterell

Um... doesn't look like there are ARM packages in the recent repos, so that may be a dead end for me. Looking at it another way, how can | build

qgis-server from source?

#10 - 2018-08-07 08:43 AM - Alessandro Pasotti

https://github.com/qgis/QGIS/blob/master/INSTALL

But | don't think you'll find instructions for ARM in that document, if you manage to build it, please add them.
#11 - 2019-01-21 12:35 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#12 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
